List child organizations
curl --request GET \
--url https://v1.api.altostrat.io/workspaces/{workspaceId}/organizations/{organizationId}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/workspaces/{workspaceId}/organizations/{organizationId}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/workspaces/{workspaceId}/organizations/{organizationId}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "org_aBcDeFg123456789",
"name": "Engineering Department",
"workspace_id": "ws_a1b2c3d4e5f6g7h8",
"external_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"parent_org_id": "org_zYxWvUt987654321",
"path": "org_root123#org_parent456",
"depth": 2,
"billing_account_id": "cus_a1b2c3d4e5f6g7h8",
"picture": "https://cdn.altostrat.io/logos/engineering.png",
"usage": {
"usage": {
"locations": 2,
"users": 5
},
"subtree_usage": {
"locations": 10,
"users": 25
}
},
"limits": {
"locations": 10,
"users": 50
},
"branding": {
"display_name": "ACME Corp",
"login_hint": "acme-corp",
"colors": {
"primary": "#FF5733",
"page_background": "#FFFFFF"
}
}
}
],
"has_more": false
}Organizations
List child organizations
Returns a list of immediate child organizations of a specified parent organization.
GET
/
workspaces
/
{workspaceId}
/
organizations
/
{organizationId}
/
children
List child organizations
Authorizations
Enter your JWT in the format: Bearer {token}
Path Parameters
The ID of the workspace.
Example:
"ws_a1b2c3d4e5f6g7h8"
The ID of the organization.
Example:
"org_aBcDeFg123456789"
Was this page helpful?
⌘I